List Sessions
List identity sessions in an App by user ID.
Query String Example
/v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2
Returns
A successful response returns list of SessionListItem objects with associated authentication factors that include unique identifiers and delivery methods in the sessions property.
Documentation Index
Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Auth Platform API includes all the Auth related features. All Users, Phone Numbers, Emails, and OTPs are associated with an App as the container.
Endpoints only accept App's Secret API keys other than certain endpoints that are used client side or via SDK that accept the public_token.
Authentication using App Api Key
Header:
Authorization: Bearer {api_key}Authenticated Request
curl \
-X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
-H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"Query Parameters
Unique User ID to retrieve active sessions.
"user_24wFP9pDa9YiMJLun94iKykoZs2"
Response
List Sessions response